io.vertx.micrometer

## Interface MetricsService

-     public interface MetricsService

  The metrics service mainly allows to return a snapshot of measured objects.
  This service is derived and adapted from `MetricsService` in the vertx-dropwizard-metrics module.
  Author:
    Nick Scavelli, Joel Takvorian

- - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MetricsService` | `create(Measured measured)` Creates a metric service for a given `Measured` object.
    `String` | `getBaseName()`
    `JsonObject` | `getMetricsSnapshot()` Will return the metrics that correspond with the `measured` object, null if no metrics is available.
    `JsonObject` | `getMetricsSnapshot(String baseName)` Will return the metrics that begins with the `baseName`, null if no metrics is available.
    `Set<String>` | `metricsNames()`

- - ### Method Detail

    - #### create

          static MetricsService create(Measured measured)

      Creates a metric service for a given `Measured` object.
      Parameters:
        `measured` - the measured object
      Returns:
        the metrics service

    - #### getBaseName

          String getBaseName()

      Returns:
        the base name of the measured object

    - #### metricsNames

          Set<String> metricsNames()

      Returns:
        the known metrics names by this service

    - #### getMetricsSnapshot

          JsonObject getMetricsSnapshot()

      Will return the metrics that correspond with the `measured` object, null if no metrics is available.

      Returns:
        the map of metrics where the key is the name of the metric (excluding the base name unless for the Vert.x object) and the value is the json data representing that metric

    - #### getMetricsSnapshot

          JsonObject getMetricsSnapshot(String baseName)

      Will return the metrics that begins with the `baseName`, null if no metrics is available.

      Returns:
        the map of metrics where the key is the name of the metric and the value is the json data representing that metric

Copyright © 2018 Eclipse. All rights reserved.